FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

SRC_URI += "file://dts/*"

SRC_URI += " \
	file://patch/e-CAM130_iMX8M_kernel.patch \
"

# Custom task to prepare e-con device trees
do_prepare_econ_dts() {
	cp ${WORKDIR}/dts/* ${STAGING_KERNEL_DIR}/arch/arm64/boot/dts/freescale
}
addtask prepare_econ_dts after do_unpack before do_patch

pkg_postinst_kernel-devicetree_append_imx8mm-var-dart () {
	cd $D/boot
	mv fsl-imx8mm-var-dart.dtb fsl-imx8mm-var-dart-ov5640-camera.dtb
	ln -fs fsl-imx8mm-var-dart-econ-camera.dtb fsl-imx8mm-var-dart.dtb
	mv fsl-imx8mm-var-som.dtb fsl-imx8mm-var-som-ov5640-camera.dtb
	ln -fs fsl-imx8mm-var-som-econ-camera.dtb fsl-imx8mm-var-som.dtb
	mv fsl-imx8mm-var-som-rev10.dtb fsl-imx8mm-var-som-ov5640-camera-rev10.dtb
	ln -fs fsl-imx8mm-var-som-econ-camera-rev10.dtb fsl-imx8mm-var-som-rev10.dtb
}

pkg_postinst_kernel-devicetree_append_imx8mq-var-dart () {
	cd $D/boot
	ln -fs ${DEFAULT_DTB_PREFIX}-${DEFAULT_DTB}-econ-camera.dtb ${DEFAULT_DTB_PREFIX}.dtb
}

KERNEL_DEVICETREE_append_imx8mq-var-dart = " \
	freescale/fsl-imx8mq-var-dart-sd-dp-econ-camera.dtb \
	freescale/fsl-imx8mq-var-dart-sd-hdmi-econ-camera.dtb \
	freescale/fsl-imx8mq-var-dart-sd-lvds-econ-camera.dtb \
	freescale/fsl-imx8mq-var-dart-sd-lvds-dp-econ-camera.dtb \
	freescale/fsl-imx8mq-var-dart-sd-lvds-hdmi-econ-camera.dtb \
	freescale/fsl-imx8mq-var-dart-wifi-dp-econ-camera.dtb \
	freescale/fsl-imx8mq-var-dart-wifi-hdmi-econ-camera.dtb \
	freescale/fsl-imx8mq-var-dart-wifi-lvds-econ-camera.dtb \
	freescale/fsl-imx8mq-var-dart-wifi-lvds-dp-econ-camera.dtb \
	freescale/fsl-imx8mq-var-dart-wifi-lvds-hdmi-econ-camera.dtb \
"

KERNEL_DEVICETREE_append_imx8mm-var-dart = " \
	freescale/fsl-imx8mm-var-dart-econ-camera.dtb \
	freescale/fsl-imx8mm-var-som-econ-camera.dtb \
	freescale/fsl-imx8mm-var-som-econ-camera-rev10.dtb \
"
